DEPTHMASK(3CgFX)

NAME
DepthMask - 3D API depth mask

USAGE
DepthMask = bool(enable)

VALID ENUMERANTS
enable: true, false

DESCRIPTION
Specify whether the depth buffer is enabled for writing. See the OpenGL glDepthMask manual page for details. See the D3DRS_ZWRITEENABLE render state description for DirectX 9.

The standard reset callback sets the DepthMask state to bool(true).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 9

SEE ALSO
ColorMask, StencilMask